unit TBC_Sample;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, StdCtrls, ExtCtrls, TBARCODE6Lib_TLB;

var txtSelection: string;
var nXSize: Variant;
var nYSize: Variant;

type
  TForm1 = class(TForm)

    txtBCData: TEdit;
    Image1: TImage;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    ComboBox1: TComboBox;
    EnterText: TStaticText;
    SaveButton1: TButton;
    chkBoxOptRes: TCheckBox;
    HowTo: TMemo;
    TBarCode61: TTBarCode6;
    procedure txtBCDataChange(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure SaveButton1Click(Sender: TObject);
    procedure chkBoxOptResClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.txtBCDataChange(Sender: TObject);
begin
        TBarcode61.text := txtBCData.Text;
end;


procedure TForm1.ComboBox1Change(Sender: TObject);
begin

	txtSelection := ComboBox1.text;

	if txtSelection = 'Code-39' then
	begin
	        TBarcode61.BarCode := eBC_3OF9;
                EnterText.Caption := 'ENTER TEXT IN CAPS...' ;
                txtBCData.Text := 'HALLO WORLD';
        end;

	if txtSelection = 'Code-128' then
	begin
	        TBarcode61.BarCode := eBC_Code128;
                EnterText.Caption := 'Enter any text you want...';

	end;

	if txtSelection = 'UPCA' then
	begin
	        TBarcode61.BarCode := eBC_UPCA;
                EnterText.Caption := 'Enter 11 digits' ;
                txtBCData.Text := '12345678901';
	        { TBarcode61.Text := '12345678901';}

	end;

	if txtSelection = 'EAN13' then
	begin
	        TBarcode61.BarCode := eBC_EAN13;
                EnterText.Caption := 'Enter 12 digits' ;
                txtBCData.Text := '123456789012';
	        { TBarcode61.Text := '123456789012';}
        end;

	if txtSelection = 'Code-2of5' then
	begin
	        TBarcode61.BarCode := eBC_2OF5;
                EnterText.Caption := 'Enter numerical data' ;
                txtBCData.Text := '12345';
                { TBarcode61.Text := '12345';}

	end;

       	if txtSelection = 'PDF417' then
	begin
	        TBarcode61.BarCode := eBC_PDF417;
                EnterText.Caption := 'Enter your data:';
                txtBCData.Text := 'all types of characters';
	        { TBarcode61.Text := 'all types of characters';}
        end;

       	if txtSelection = 'DataMatrix' then
	begin
	        TBarcode61.BarCode := eBC_DATAMATRIX;
                EnterText.Caption := 'Enter your data:';
                txtBCData.Text := 'all types of characters';
	        { TBarcode61.Text := 'all types of characters';}
        end;

       	if txtSelection = 'QR-Code' then
	begin
	        TBarcode61.BarCode := eBC_QRCODE;
                EnterText.Caption := 'Enter your data:';
                txtBCData.Text := 'all types of characters';
	        { TBarcode61.Text := 'all types of characters';}
        end;

        if txtSelection = 'RSS-14 CC-Auto' then
	begin
	        TBarcode61.BarCode := eBC_RSS14;
                TBarcode61.CompositeComponent := eCC_Auto;
                EnterText.Caption := 'Enter your data:';
                txtBCData.Text := '1234567890123|composite data';
	        { TBarcode61.Text := '1234567890123|composite data';}
        end
        else
                TBarcode61.CompositeComponent := eCC_None;
end;

procedure TForm1.SaveButton1Click(Sender: TObject);
begin

        if TBarcode61.BarCode = eBC_PDF417 then
        begin
                // PDF417 height and width in Pixels
               	nXSize := TBarcode61.CountModules / TBarcode61.CountRows;
                nYSize := TBarcode61.CountRows * 5; // PDF417 row height in pixel
        end
        else if (TBarcode61.BarCode = eBC_DATAMATRIX) or (TBarcode61.BarCode = eBC_QRCODE) then
        begin
               	nXSize := 2 * TBarcode61.CountModules / TBarcode61.CountRows;
                nYSize := 2 * TBarcode61.CountRows;
        end
        else
        begin
               	// linear bar code types
                nXSize := TBarcode61.CountModules;
                nYSize := 100;
        end;

        TBarcode61.SaveImage ('C:\\TECIT.BMP', eIMBmp , nXSize, nYSize, 72, 72);
end;

procedure TForm1.chkBoxOptResClick(Sender: TObject);
begin
        TBarcode61.OptResolution := chkBoxOptRes.Checked;
end;

end.





